Package com.usatiuk.dhfsfs.objects

# Record Class JKleppmannTreeNodeMetaFile

java.lang.Object
java.lang.Record
com.usatiuk.dhfsfs.objects.JKleppmannTreeNodeMetaFile

Record Components:
  `name` - the name of the file
  `fileIno` - a reference to the `File` object

All Implemented Interfaces:
  `JKleppmannTreeNodeMeta`, `NodeMeta`, `Serializable`

public record JKleppmannTreeNodeMetaFile(String name, JObjectKey fileIno) extends Record implements JKleppmannTreeNodeMeta
JKleppmannTreeNodeMetaFile is a record that represents a file in the JKleppmann tree.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JKleppmannTreeNodeMetaFile(String name, JObjectKey fileIno)`
Creates an instance of a `JKleppmannTreeNodeMetaFile` record class.

## Method Summary

Modifier and Type
Method
Description
`Collection<JObjectKey>`
`collectRefsTo()`
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`JObjectKey`
`fileIno()`
Returns the value of the `fileIno` record component.
`final int`
`hashCode()`
Returns a hash code value for this object.
`String`
`name()`
Returns the value of the `name` record component.
`final String`
`toString()`
Returns a string representation of this record class.
`JKleppmannTreeNodeMeta`
`withName(String name)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JKleppmannTreeNodeMetaFile

public JKleppmannTreeNodeMetaFile(String name, JObjectKey fileIno)
Creates an instance of a `JKleppmannTreeNodeMetaFile` record class.

Parameters:
  `name` - the value for the `name` record component
  `fileIno` - the value for the `fileIno` record component

## Method Details

### withName

public JKleppmannTreeNodeMeta withName(String name)

Specified by:
  `withName` in interface `JKleppmannTreeNodeMeta`
Specified by:
  `withName` in interface `NodeMeta`

### collectRefsTo

public Collection<JObjectKey> collectRefsTo()

Specified by:
  `collectRefsTo` in interface `JKleppmannTreeNodeMeta`

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### name

public String name()
Returns the value of the `name` record component.

Specified by:
  `name` in interface `NodeMeta`
Returns:
  the value of the `name` record component

### fileIno

public JObjectKey fileIno()
Returns the value of the `fileIno` record component.

Returns:
  the value of the `fileIno` record component